%include %{_rpmconfigdir}/macros.python3

Name: python3-numpy
Version: 1.14.2
Release: 8
License: BSD
Summary: NumPy is the fundamental package for scientific computing with Python.
Url: http://www.numpy.org/

BuildRequires: liblapack
BuildRequires: libblas
BuildRequires: gcc-gfortran-aix
BuildRequires: libgfortran3
BuildRequires: python3-devel
BuildRequires: python3-pip

Source0: https://github.com/numpy/numpy/releases/download/v%{version}/numpy-%{version}.tar.gz
Source1: python3-numpy-site.cfg

Patch0: python3-numpy.patch

%description
NumPy is the fundamental package for scientific computing with Python.

%prep
%setup -q -n numpy-%{version}
%patch0 -p1

cp %{SOURCE1} site.cfg

%build
export CC="gcc -maix64 -fPIC -pthread -Wl,-brtl -Wl,-blibpath:/QOpenSys/pkgs/lib:/QOpenSys/usr/lib -L/QOpenSys/pkgs/lib"
python%{py_ver} setup.py bdist_wheel

%install

pip%{py_ver} install -I --no-index --no-deps --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{_bindir}/f2py%{py_ver}

%{py_sitedir}/numpy*

%changelog
